Subject: [ipfix] Re: AD Evaluation of: draft-leinen-ipfix-eval-contrib-01.txt

From: Simon Leinen <[email-masked]>
Date: Wed, 21 Jan 2004 01:25:20 +0100

Bert,

thanks again for your review.  I have tried to address all your issues
in the revision draft-leinen-ipfix-eval-contrib-02 (see separate
announcement).

> Serious questions:
> - Many of the documents for the protcools that were evaluated 
>   are (possibly expired or soon to expire) internet-drafts.
>   Are you sure they are just informative and that there is no
>   need to read them in order to understand the evaluation?
>   Possibly they are not needed (I think I can see that after
>   reading the whol draft). It might be good to make an explicit
>   statement at the end of section 1 to say that you have extracted
>   the relevant information from the evaluation drafts and that
>   the detailed content of those drafts is not needed to understand 
>   this summary/executive/consolidated evaluation document.

I have added an appendix to explain the issue with the references.

> - Anyway, 
>   - I see that some have made it to RFC. 
>     RFC3423 - draft-kzhang-crane-protocol-05.txt
>     RFC3588 - draft-ietf-aaa-diameter-17.txt
>   - These are still there as (very old) drafts
>     draft-kzhang-ipfix-eval-crane-00.txt
>     draft-zander-ipfix-diameter-eval-00.txt
>     draft-calato-ipfix-lfap-eval-00.txt
>     draft-bclaise-netflow-9-00.txt
>   - I do not see/find:
>     expired: draft-riverstone-lfap-01.txt
>     expired: draft-riverstone-lfap-data-01.txt
>     expired: draft-claise-ipfix-eval-netflow-04.txt
>   And so on.

Those have been updated where possible, but the advocacy drafts
(...-eval-...) have been lost for good.

> - 6.  Security Considerations
>     The security mechanisms of the candidate protocols were discussed in
>     the section about the Security requirement (6.3.2).
>   I think it would be good to make a reference here to the doc that 
>   contains that sect 6.3.2 !! And porbably you mean sect 6.3.3. in
>   the ipfix requirements doc anyway!

The reference has been replaced with an document-internal one, and the
reference to the requirements doc fixed.  I have checked (hopefully)
all other section references to the requirements draft.

> Nits and admin comments

> - abstract speaks about "this draft", you man "this document"
>   draft dioes not read so well when it is an RFC.
> - first sentence in sect 4.1 missing right parenthesis
> - sect 4.10.3.2 3rd line: s/evel/level/

Thanks, those were easy to fix.

> - ANy idea, where reference [NDM-U-3.1] can be obtained/accessed?

I added an URL to the reference (sigh, why is this is difficult with
the XML tools?).

Regards,
-- 
Simon.

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/